Package twisted :: Package protocols :: Module ftp :: Class SendFileTransfer

[show private | hide private]
[frames | no frames]

## Class SendFileTransfer

Producer, server to client

Method Summary
| `__init__(self, file, filesize, request)`
| `pauseProducing(self)`
| `resumeProducing(self)`
| `stopProducing(self)`

Class Variable Summary
`MetaInterface` | `__implements__`
`NoneType` | `file`
`NoneType` | `filesize`
`NoneType` | `request`

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IProducer'>

### file

  Type:
    `NoneType`
  Value:

        None

### filesize

  Type:
    `NoneType`
  Value:

        None

### request

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:37 2003 | http://epydoc.sf.net